{
  "IpRateLimiting": {
    "EnableEndpointRateLimiting": true,
    "StackBlockedRequests": false,
    "RealIpHeader": "X-Real-IP",
    "ClientIdHeader": "X-ClientId",
    "HttpStatusCode": 429,
    // 本地测试需要取消白名单IP
    //"IpWhitelist": [ "127.0.0.1", "::1/10", "192.168.0.0/24" ],
    "EndpointWhitelist": [
      "*:/api/license",
      "*:/api/function/limit",
      "*:/api/menu/menulist",
      "*:/api/common/version",
      "*:/api/report/rank",
      "*:/api/graphql"
    ],
    "ClientWhitelist": [ "dev-id-1", "dev-id-2" ],
    "QuotaExceededResponse": {
      "Content": "{{ \"code\":429, \"message\": \"您访问过于频繁，请稍后重试...\"}}",
      "ContentType": "application/json",
      "StatusCode": 429
    },
    "GeneralRules": [
      {
        "Endpoint": "post:/api/assess/category/issue/confirm",
        "Period": "1s",
        "Limit": 1
      },
      {
        "Endpoint": "post:/api/Attendance/issue/confirm",
        "Period": "1s",
        "Limit": 1
      },
      {
        "Endpoint": "post:*",
        "Period": "1s",
        "Limit": 10
      },
      {
        "Endpoint": "get:*",
        "Period": "1s",
        "Limit": 100
      },
      {
        "Endpoint": "*",
        "Period": "15m",
        "Limit": 100
      },
      {
        "Endpoint": "*",
        "Period": "12h",
        "Limit": 1000
      },
      {
        "Endpoint": "*",
        "Period": "7d",
        "Limit": 10000
      }
    ]
  }
}